<ion-header>
  <ion-toolbar>
    <ion-title>Editar</ion-title>
    <ion-button fill="outline" slot="end" href="/loky">volver</ion-button>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="item" padding>
  <form [formGroup]="edit_item_form" (submit)="editarContenido(edit_item_form.value)">
    <ion-item>
      <ion-label color="primary" position="floating">Nombre</ion-label>
      <ion-input type="text" formControlName="nombre" required></ion-input>
    </ion-item>

    <ion-item>
      <ion-label>Modelo</ion-label>
      <ion-select placeholder="Seleccione" okText="Aceptar" cancelText="Cancelar" formControlName="modelo">
        <ion-select-option value="deportivo">Deportivo</ion-select-option>
        <ion-select-option value="clasico">Clasico</ion-select-option>
        <ion-select-option value="Chopera">Chopera</ion-select-option>
      </ion-select>
    </ion-item>

    <ion-item>
      <ion-label>Color</ion-label>
      <ion-select placeholder="Seleccione" okText="Aceptar" cancelText="Cancelar" formControlName="color">
        <ion-select-option value="rojo">Rojo</ion-select-option>
        <ion-select-option value="azul">Azul</ion-select-option>
        <ion-select-option value="gris">Gris</ion-select-option>
        <ion-select-option value="negro">Negro</ion-select-option>
      </ion-select>
    </ion-item>

    <ion-item>
      <ion-label>Cilindrada</ion-label>
      <ion-select placeholder="Seleccione" okText="Aceptar" cancelText="Cancelar" formControlName="cilindrada">
        <ion-select-option value="100">100</ion-select-option>
        <ion-select-option value="150">150</ion-select-option>
        <ion-select-option value="200">200</ion-select-option>
        <ion-select-option value="250">250</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label color="primary" position="floating">precio</ion-label>
      <ion-input type="number" formControlName="precio" required></ion-input>
    </ion-item>
    <ion-button class="submit-btn" expand="block" type="submit" [disabled]="!edit_item_form.valid">Guardar</ion-button>
  </form>
</ion-content>
